From 87a3922cd5e9fe7a6f42f7b04c36a82798c0d8c8 Mon Sep 17 00:00:00 2001
From: orbea <orbea@riseup.net>
Date: Mon, 19 Aug 2019 15:41:34 -0700
Subject: [PATCH 1/2] Add a desktop file.

---
 CMakeLists.txt | 6 ++++++
 zbom.desktop   | 9 +++++++++
 2 files changed, 15 insertions(+)
 create mode 100644 zbom.desktop

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 6a9f7bb2..98fec905 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -63,3 +63,9 @@ install(FILES ${CMAKE_CURRENT_BINARY_DIR}/data.solarus
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${quest_name}
   DESTINATION bin
 )
+
+# FreeDesktop compatible start menu launcher
+if(UNIX AND NOT APPLE)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/zbom.desktop
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
+endif(UNIX AND NOT APPLE)
diff --git a/zbom.desktop b/zbom.desktop
new file mode 100644
index 00000000..4cb80148
--- /dev/null
+++ b/zbom.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Zelda: Book of Mudora
+GenericName=Zelda fangame for the Solarus engine
+Comment=Zelda: Book of Mudora (action rpg game)
+Exec=zbom
+Terminal=false
+Type=Application
+Icon=zbom
+Categories=Game;AdventureGame;
-- 
2.22.0

From 7cfe8c127d9685067faa1b53dae5bb052365da1a Mon Sep 17 00:00:00 2001
From: orbea <orbea@riseup.net>
Date: Mon, 19 Aug 2019 15:45:06 -0700
Subject: [PATCH 2/2] Install icons.

---
 CMakeLists.txt | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 98fec905..5e700a30 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -64,6 +64,24 @@ install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${quest_name}
   DESTINATION bin
 )
 
+# FreeDesktop compatible icons
+if(UNIX AND NOT APPLE)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_16.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/16x16/apps RENAME zbom.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_24.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/24x24/apps RENAME zbom.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_32.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps RENAME zbom.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_48.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps RENAME zbom.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_64.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps RENAME zbom.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/icon_128.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps RENAME zbom.png)
+  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/logos/logo@2x.png
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps RENAME zbom.png)
+endif(UNIX AND NOT APPLE)
+
 # FreeDesktop compatible start menu launcher
 if(UNIX AND NOT APPLE)
   install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/zbom.desktop
-- 
2.22.0

